## sysprof 50~beta

=== debian/changelog ===
sysprof (50~beta-1) unstable; urgency=medium

  * Team upload
  * New upstream release 50.beta
  * Bump GTK requirement to 4.19.4 per the upstream release.

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Mon, 16 Feb 2026 16:57:21 +0800

sysprof (49.0-6) unstable; urgency=medium

  * Build all packages and features for loong64

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 07 Feb 2026 16:14:35 -0500

sysprof (49.0-5) unstable; urgency=medium

  * Only build libsysprof-capture-4-dev for Linux
  * Remove unnecessary Build-Depends: binutils-dev

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 01 Jan 2026 10:14:55 -0500

sysprof (49.0-4) unstable; urgency=medium

  * Mark more Build-Depends as only needed for libunwind features

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 23 Dec 2025 19:38:31 -0500

sysprof (49.0-3) unstable; urgency=medium

  * Stop mentioning obsolete armel & mips64el architectures
  * Build libsysprof-capture-4-dev even when libunwind isn't available
    (Closes: #1052382, #1067577)
  * Temporarily remove loong64 from the gui & libunwind architectures
    to ease bootstrapping
  * Don't require desktop-file-utils for the nogui build
  * Override dh_gnome to avoid build warnings
  * Opt into Salsa CI
  * Bump Standards Version to 4.7.3

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 23 Dec 2025 16:23:20 -0500
