=== debian/control ===
Source: sysprof
Standards-Version: 4.7.3
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Ritesh Raj Sarraf <rrs@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>
Section: devel
Build-Depends: debhelper (>= 13.11.6),
               debhelper-compat (= 13),
               dh-sequence-gnome,
               bzip2,
               desktop-file-utils <!pkg.sysprof.nogui>,
               itstool,
               libadwaita-1-dev (>= 1.6~beta) [amd64 arm64 armhf loong64 ppc64el riscv64 s390x ppc64] <!pkg.sysprof.nogui>,
               libdebuginfod-dev <!pkg.sysprof.nounwind>,
               libdex-dev (>= 0.9) <!pkg.sysprof.nounwind>,
               libdw-dev <!pkg.sysprof.nounwind>,
               libglib2.0-dev (>= 2.80.0) <!pkg.sysprof.nounwind>,
               libgtk-4-dev (>= 4.19.4) [amd64 arm64 armhf loong64 ppc64el riscv64 s390x ppc64] <!pkg.sysprof.nogui>,
               libjson-glib-dev <!pkg.sysprof.nounwind>,
               libpanel-dev (>= 1.7.0) [amd64 arm64 armhf loong64 ppc64el riscv64 s390x ppc64] <!pkg.sysprof.nogui>,
               libpolkit-agent-1-dev <!pkg.sysprof.nounwind>,
               libpolkit-gobject-1-dev <!pkg.sysprof.nounwind>,
               libsystemd-dev <!pkg.sysprof.nounwind>,
               libunwind-dev <!pkg.sysprof.nounwind>,
               libxml2-utils,
               meson,
               polkitd <!pkg.sysprof.nounwind>
Vcs-Browser: https://salsa.debian.org/gnome-team/sysprof
Vcs-Git: https://salsa.debian.org/gnome-team/sysprof.git
Homepage: https://apps.gnome.org/Sysprof/

Package: sysprof
# i386 is intentionally not included here
Architecture: amd64 arm64 armhf loong64 ppc64 ppc64el riscv64 s390x
# Build if (!pkg-sysprof.nogui) && (!pkg.sysprof.nounwind)
Build-Profiles: <!pkg.sysprof.nogui !pkg.sysprof.nounwind>
Depends: libsysprof-6-6 (= ${binary:Version}),
         libsysprof-6-modules (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: ${sysprof:Recommends}
Suggests: ${sysprof:Suggests}
Description: system-wide Linux profiler
 Sysprof is a sampling CPU profiler that uses a ptrace in Linux kernel to
 profile the entire system, not just a single application. Sysprof handles
 shared libraries and applications do not need to be recompiled. In fact they
 don't even have to be restarted.
 .
 It has the following features:
  - profiles all running processes, not just a single application
  - has a simple graphical interface
  - shows the time spent in each branch of the call tree
  - profiles can be loaded and saved

Package: libsysprof-6-6
Architecture: amd64 arm64 armhf hppa i386 loong64 powerpc ppc64 ppc64el riscv64 s390x sh4
Build-Profiles: <!pkg.sysprof.nounwind>
Multi-Arch: same
Section: libs
Depends: libsysprof-6-modules (>= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: library for system-wide Linux profiler
 Sysprof is a sampling CPU profiler that uses a ptrace in Linux kernel to
 profile the entire system, not just a single application. Sysprof handles
 shared libraries and applications do not need to be recompiled. In fact they
 don't even have to be restarted.
 .
 This package provides the shared library for console applications
 embedding sysprof.

Package: libsysprof-6-modules
Architecture: amd64 arm64 armhf hppa i386 loong64 powerpc ppc64 ppc64el riscv64 s390x sh4
Build-Profiles: <!pkg.sysprof.nounwind>
Multi-Arch: same
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: LD_PRELOAD modules for system-wide Linux profiler
 Sysprof is a sampling CPU profiler that uses a ptrace in Linux kernel to
 profile the entire system, not just a single application. Sysprof handles
 shared libraries and applications do not need to be recompiled. In fact they
 don't even have to be restarted.
 .
 This package provides LD_PRELOAD modules that can be injected into the
 program being profiled.

Package: libsysprof-capture-4-dev
Architecture: linux-any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends}
Breaks: libsysprof-4-dev (<< 3.48.0-3~)
Replaces: libsysprof-4-dev (<< 3.48.0-3~)
Description: capture library for system-wide Linux profiler
 Sysprof is a sampling CPU profiler that uses a ptrace in Linux kernel to
 profile the entire system, not just a single application. Sysprof handles
 shared libraries and applications do not need to be recompiled. In fact they
 don't even have to be restarted.
 .
 This package provides a static library for tools that generate profiling
 capture data. It can be linked into other projects to provide more
 detailed trace information.

Package: libsysprof-6-dev
Architecture: amd64 arm64 armhf hppa i386 loong64 powerpc ppc64 ppc64el riscv64 s390x sh4
Build-Profiles: <!pkg.sysprof.nounwind>
Multi-Arch: same
Section: libdevel
Depends: libdebuginfod-dev,
         libdex-dev (>= 0.9),
         libglib2.0-dev (>= 2.80.0),
         libjson-glib-dev,
         libpolkit-gobject-1-dev,
         libsysprof-6-6 (= ${binary:Version}),
         libsysprof-capture-4-dev (= ${binary:Version}),
         libsystemd-dev,
         ${misc:Depends}
Description: development files for system-wide Linux profiler
 Sysprof is a sampling CPU profiler that uses a ptrace in Linux kernel to
 profile the entire system, not just a single application. Sysprof handles
 shared libraries and applications do not need to be recompiled. In fact they
 don't even have to be restarted.
 .
 This package provides the development files for the shared library.
